      SUBROUTINE PLOTS(Y,NDFAST,DELTA,NN,XSJ0,NDVA,NST,LINT,LINW,LINA,
     *                 NDLINE,NTOTAL,NCOUNT,NUMS,NUMT,JJ,
     *                 NOVRW,NRET)

      DIMENSION Y(NDFAST),LINT(NDLINE),LINW(NDLINE),LINA(NDLINE),
     *          NDVA(3),NST(2),NY2(3,2),NX1(2)
      CHARACTER LBLY2(3,2)*10,LBLX1(2)*10

      COMMON /SPEC/ XSI,XEI,YSI,YEI,IXSPN,IXUT1,IXUT2,
     *              IYSPN,IYUT1,IYUT2,IFPX,IFPY,IGRID,MAPNG
     *       /TIME/ XSJ,XEJ,YSJ,YEJ,JXSPN,JXUT1,JXUT2,JYSPN,JYUT1,
     *              JYUT2,JFPX,JFPY,NXOFF,NYOFF,NXSAB,NYSAB,N0AXIS
     *       /STYLE/ NSTYLE,IXR,IYR,JXR,JYR,NSX,NSTY

      DATA LBLY2 /'(m*sec)','(m)','(m/sec)',
     *            '(cm*sec)','(cm)','(cm/sec)'/
     *     NY2   / 7, 3, 7, 8, 4, 8 /
     *     LBLX1 /'(rad/sec)','(Hz)'/
     *     NX1   / 9, 4 / 

C     **********  INITIALIZATION  **********

      PAI  = ATAN(1.0)*4.0
      IGN  = IGN0 + 1

      IF(IGN.GT.16) THEN
        NRET = 1
        RETURN
      END IF

      IF(NSTYLE.EQ.1) THEN
        IXS  = (IXSPN+IXR)*NUMS+(JXSPN+JXR)*NUMT
        IF(NOVRW.EQ.0) THEN
          IYS  = (IYSPN+IYR)*(NTOTAL-NCOUNT-1)
        ELSE
          IYS = 0
        END IF
      ELSE
        IF(NOVRW.EQ.0) THEN
          IXS  = ((IXSPN+IXR)*NST(1)+(JXSPN+JXR)*NST(2))*NCOUNT
        ELSE
          IXS  = 0
        END IF
          IYS  = (IYSPN+IYR)*(NDVA(1)+NDVA(2)+NDVA(3)-JJ)
      END IF

      IF(NOVRW.EQ.1) THEN
        NSEQ = MOD(NCOUNT+NDLINE,NDLINE)+1
        CALL LLATR(LINT(NSEQ),LINW(NSEQ),LINA(NSEQ))
      END IF

C     **********  PLOT X & Y SCALE  *********

      CALL LRWIND(IGN,IXS,IYS,IXSPN,IYSPN,0)
      CALL LWINDW(IGN,XSI,YSI,XEI,YEI)

      IF((NOVRW.EQ.1).AND.(NCOUNT.GE.1)) GO TO 100

      CALL LAXES (IGN,MAPNG,IXUT1,IXUT2,IYUT1,IYUT2,
     *            IGRID,IFPX,IFPY)
      CALL LAXLBL(IGN,LBLX1(NSX),NX1(NSX),'fourier spectrum',16,
     *            LBLY2(JJ,NSTY),NY2(JJ,NSTY))

C     **********  PLOT DATA  **********

  100 CALL LPLOTY(IGN,Y,NN,XSJ0,DELTA,1,1,1)

      RETURN
      END 
